Bug 153231 - java part of db4-4.3.27 is buildable with gcj from gcc 4.0.0
java part of db4-4.3.27 is buildable with gcj from gcc 4.0.0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: db4 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On: 153230 154725
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-03 14:35 EDT by Caolan McNamara
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-20 18:13:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch our ooo spec uses to get db4 working with gcj (89.18 KB, patch)
2005-07-04 07:41 EDT, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Caolan McNamara 2005-04-03 14:35:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050330

Description of problem:
I was able to build the java libs in db4 with gcj from gcc 4.0.0. So should this subpackage be re-enabled for rawhide again ?

OOo 1.9.0 could drop its copy of the java db4 libs if it becomes available, though right now rh#150650# is causing some troubles

Version-Release number of selected component (if applicable):
db4-4.3.27-2

How reproducible:
Always

Steps to Reproduce:
.

Additional info:
Comment 1 Paul Nasrat 2005-04-04 04:33:33 EDT
This is a trivial spec change which I'm happy to do. As long as this doesn't
impact the net size of things we should be ok for FC4, which might mean dropping
the javadoc for now.

Bill any objections to this? 
Comment 2 Bill Nottingham 2005-04-05 14:20:38 EDT
If it works, no.
Comment 3 Dan Williams 2005-05-22 13:06:24 EDT
Could we perhaps do this?  javadoc is now provided by gcj in the
java-1.4.2-compat-devel package (I think that's the one) so javadoc should
probably work...

I just tried to compile the java bits on my box running rawhide and they appear
to build correctly.  I removed the %undefine java_arches and %undefine
nptl_java_arches.  However, I get this error (unrelated to the java bits):

error: Installed (but unpackaged) file(s) found:
   /usr/lib/libdb-4.so
   /usr/lib/libdb_cxx-4.so
   /usr/lib/libdb_tcl-4.so
   /usr/lib/libdb_tcl.so

I'm assuming we shouldn't ship those anyway since they are unversioned.  But
I'll leave that up to you.
Comment 4 Caolan McNamara 2005-07-04 07:41:04 EDT
Created attachment 116325 [details]
patch our ooo spec uses to get db4 working with gcj

the patch we've been using with ooo's internal copy of db4 to get it to work at
runtime with gcj
Comment 5 Caolan McNamara 2005-07-14 08:26:03 EDT
poke
Comment 6 Paul Nasrat 2005-07-14 11:38:34 EDT
Java re-enabled in db4-4.3.27-5
Comment 7 Caolan McNamara 2005-08-11 07:38:52 EDT
not pushed though, is there outstanding problems ?
Comment 8 Paul Nasrat 2005-09-20 18:13:27 EDT
All archs other than ppc64 should be there in tomorrow's rawhide (ppc64 suffers
from bug #166657)


Note You need to log in before you can comment on or make changes to this bug.